; Channel Show/Hide
; by ch1zra
; ch1zra@gmail.com
; http://uptheirons.co.sr/
; #Scripters @ irc.krstarica.com
; Copyright  Up The Irons ! inc. Scripting Team 

on 1:load: {
  if ($version > 6.0) { 
    echo  Channel Show/Hide by ch1zra succesfully loaded 
    echo 4ch1zra@gmail.com 
  }
  else { 
    echo  Version 6.0 or higher required, get a newer version of mirc at http://www.mirc.com  
    .unload -rs $script 
  }
}

; ~~~ Aliases ~~~

alias -l winhide {
  if ($dialog(winhide)) {
    dialog -vde winhide winhide
  }
  else { dialog -mod winhide winhide }
} 

alias -l ch.load {
  did -r winhide 2,4
  var %cl $chan(0)
  var %i 1
  while (%i <= %cl) {
    if ($window($chan(%i)).state == hidden) {
      did -a winhide 4 $chan(%i)
    }
    else     did -a winhide 2 $chan(%i)
    inc %i
  }
}

alias -l hide.all {
  did -r winhide 2,4
  var %cl $chan(0)
  var %i 1
  while (%i <= %cl) {
    if ($window($chan(%i)).state != hidden) {
      window -h $chan(%i)
    }
    inc %i
  }
  ch.load
}

alias -l show.all {
  did -r winhide 2,4
  var %cl $chan(0)
  var %i 1
  while (%i <= %cl) {
    if ($window($chan(%i)).state == hidden) {
      window -w $chan(%i)
    }
    inc %i
  }
  ch.load
}

alias -l chv.about {
  dialog -i winhide winhide
  if ($input(Channel Show/Hide $crlf $crlf by ch1zra $crlf $crlf ch1zra@gmail.com $crlf #Scripters @ irc.krstarica.com $crlf $&
    http://uptheirons.co.sr/  $crlf $crlf Copyright  Up The Irons ! inc.,oi,About Channel Show/Hide)) {
    dialog -e winhide winhide
  }
}

alias -l chv.hlp {
  dialog -i winhide winhide
  if ($input(Select channels from ''Visible'' or ''Hidden'' list $+ $chr(44) and choose whether to show or hide them. $& 
    That is pretty much all the help needed for this addon. $crlf $crlf Respect $crlf ch1zra,oq, $& 
    Channel Show/Hide Help)) {
    dialog -e winhide winhide
  }
}

alias -l csh.unl {
  if ($input(Are you sure that you want to unload Channel Show/Hide ?,hy,Unloading!) == $true) {
    .unload -rs $script
  }

}

; ~~~ Dialog ~~~

dialog winhide {
  title "Channel Show/Hide by ch1zra"
  size -1 -1 200 80
  option dbu
  box "Visible Channels", 1, 0 0 60 75
  list 2, 5 10 50 70, sort autovs
  box "Hidden Channels", 3, 85 0 60 75
  list 4, 90 10 50 70, sort autovs
  button ">", 5, 65 10 15 30, flat
  button "<", 6, 65 10 15 30, flat
  button ">>", 7, 65 45 15 10, flat
  button "<<", 8, 65 60 15 10, flat
  icon 9, 160 10 35 35, $mircexe 
  button "About", 10, 150 35 40 10, flat
  button "Help", 11, 150 50 40 10, flat 
  button "Close", 12, 150 66 40 10, flat ok

}

; ~~~ On Init and Close ~~~

on *:dialog:winhide:init:*: {
  ch.load
  did -h $dname 6
}

on *:dialog:winhide:close:*: {
  unset %selchan
}

; ~~~ Dialog Sclicks  ~~~

on *:dialog:winhide:sclick:*: {
  if ($did == 2) {
    set %selchan $did(2).seltext
    did -u $dname 4
    did -h $dname 6
    did -v $dname 5
  }
  if ($did == 4) {
    set %selchan $did(4).seltext
    did -u $dname 2
    did -v $dname 6
    did -h $dname 5
  }
  if ($did == 5) {
    if (%selchan != $null) {
      window -h %selchan
      ch.load
      unset %selchan
    }
  }
  if ($did == 6) {
    if (%selchan != $null) {
      window -w %selchan
      ch.load
      unset %selchan
    }
  }
  if ($did == 7) {
    hide.all
  }
  if ($did == 8) {
    show.all
  }
  if ($did = 9) {
    .run http://uptheirons.co.sr/
  }
  if ($did == 10) {
    chv.about
  }
  if ($did == 11) {
    chv.hlp
  }
}

; ~~~ Menus ~~~

menu channel,status,query {
  .$iif($server, Channel Show/Hide) :winhide
}

menu menubar {
  Channel Show/Hide
  .Unload
  ..Yes:csh.unl
}

; Channel Show/Hide
; by ch1zra
; ch1zra@gmail.com
; http://uptheirons.co.sr/
; #Scripters @ irc.krstarica.com
; Copyright  Up The Irons ! inc. Scripting Team 
